package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.PortalDesignManager;
import cn.stylefeng.team.portal.modular.management.pojo.request.ManagerUpdateRequest;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalDesignManagerRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface PortalDesignManagerService extends IService<PortalDesignManager> {

    List<PortalDesignManager> getCurrentUserPortalManageList();

    void updateManagerList(ManagerUpdateRequest managerUpdateRequest);

    void del(PortalDesignManagerRequest portalDesignManagerRequest);

    void batchDelete(PortalDesignManagerRequest portalDesignManagerRequest);

    PageResult<PortalDesignManager> findPage(PortalDesignManagerRequest portalDesignManagerRequest);

}
